﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_FGPTAS_TABLECOL', 'T_FGPTAS_TABLECOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_TABLECOL_NO') CREATE INDEX IDX_FGPTAS_TABLECOL_NO ON T_FGPTAS_TABLECOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_FGPTAS_TABLECOL_ENTRY', 'T_FGPTAS_TABLECOL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_TABLECOL_ENTRY_FK') CREATE INDEX IDX_FGPTAS_TABLECOL_ENTRY_FK ON T_FGPTAS_TABLECOL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FGPTAS_TABLECOL_L', 'T_FGPTAS_TABLECOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_TABLECOL_L_0') CREATE INDEX IDX_FGPTAS_TABLECOL_L_0 ON T_FGPTAS_TABLECOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORTTEMPL', 'T_FGPTAS_REPORTTEMPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORTTEMPL_NO') CREATE INDEX IDX_FGPTAS_REPORTTEMPL_NO ON T_FGPTAS_REPORTTEMPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORTTEMPL_L', 'T_FGPTAS_REPORTTEMPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORTTEMPL_L_0') CREATE INDEX IDX_FGPTAS_REPORTTEMPL_L_0 ON T_FGPTAS_REPORTTEMPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FGPTAS_DATAREQUIRE', 'T_FGPTAS_DATAREQUIRE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_DATAREQUIRE_FK') CREATE INDEX IDX_FGPTAS_DATAREQUIRE_FK ON T_FGPTAS_DATAREQUIRE ( FID );


 EXEC P_ALTERPK 'PK_FGPTAS_OUTLINE', 'T_FGPTAS_OUTLINE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_OUTLINE_FK') CREATE INDEX IDX_FGPTAS_OUTLINE_FK ON T_FGPTAS_OUTLINE ( FID );


 EXEC P_ALTERPK 'PK_FGPTA_DATASOURCE', 'T_FGPTA_DATASOURCE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTA_DATASOURCE_FK') CREATE INDEX IDX_FGPTA_DATASOURCE_FK ON T_FGPTA_DATASOURCE ( FENTRYID );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT', 'T_FGPTAS_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORT_NUMBER') CREATE UNIQUE INDEX IDX_FGPTAS_REPORT_NUMBER ON T_FGPTAS_REPORT ( FNUMBER );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_GPTLOG', 'T_FGPTAS_REPORT_GPTLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_GPTLOG_GPTNUMBER') CREATE INDEX IDX_FGPTAS_GPTLOG_GPTNUMBER ON T_FGPTAS_REPORT_GPTLOG ( FGPTNUMBER );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_L', 'T_FGPTAS_REPORT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORT_L') CREATE INDEX IDX_FGPTAS_REPORT_L ON T_FGPTAS_REPORT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_TYPE', 'T_FGPTAS_REPORT_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORT_TYPE_NUMBER') CREATE UNIQUE INDEX IDX_FGPTAS_REPORT_TYPE_NUMBER ON T_FGPTAS_REPORT_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_TYPE_L', 'T_FGPTAS_REPORT_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORT_TYPE_L') CREATE INDEX IDX_FGPTAS_REPORT_TYPE_L ON T_FGPTAS_REPORT_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_WPSFILE', 'T_FGPTAS_REPORT_WPSFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_WPSFILE_DOCID') CREATE INDEX IDX_FGPTAS_WPSFILE_DOCID ON T_FGPTAS_REPORT_WPSFILE ( FDOCID );


 EXEC P_ALTERPK 'PK_FGPTAS_REPORT_WPSFILE_L', 'T_FGPTAS_REPORT_WPSFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FGPTAS_REPORT_WPSFILE') CREATE INDEX IDX_FGPTAS_REPORT_WPSFILE ON T_FGPTAS_REPORT_WPSFILE_L ( FID ,FLOCALEID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FGPTAS_constraint.sql **/
