﻿/**Begin D:\dba\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDIT' AND KSQL_COL_NAME IN ('FOCR_STATUS')) 
 ALTER TABLE T_FGPTAS_AUDIT ADD (FOCR_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDIT' AND KSQL_COL_NAME IN ('FOCR_ELEMENT')) 
 ALTER TABLE T_FGPTAS_AUDIT ADD (FOCR_ELEMENT VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDIT' AND KSQL_COL_NAME IN ('FOCR_ERROR')) 
 ALTER TABLE T_FGPTAS_AUDIT ADD (FOCR_ERROR VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDIT' AND KSQL_COL_NAME IN ('FOCR_OUTPUT')) 
 ALTER TABLE T_FGPTAS_AUDIT ADD (FOCR_OUTPUT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDIT' AND KSQL_COL_NAME IN ('FOCR_OUTPUT_TAG')) 
 ALTER TABLE T_FGPTAS_AUDIT ADD (FOCR_OUTPUT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_ELEMENT' AND KSQL_COL_NAME IN ('FFILETYPE')) 
 ALTER TABLE T_FGPTAS_ELEMENT ADD (FFILETYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FGPTAS_AUDITCONF' AND KSQL_COL_NAME IN ('FPROMPT_IMG')) 
 ALTER TABLE T_FGPTAS_AUDITCONF ADD (FPROMPT_IMG BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_AUDIT_OCR') 
 CREATE TABLE T_FGPTAS_AUDIT_OCR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTPK BIGINT DEFAULT 0 NOT NULL,
FOCRRESPONSE VARCHAR(255) DEFAULT ' ' NOT NULL,
FOCRRESPONSE_TAG NCLOB,
FATTACHNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FATTACHURL VARCHAR(4000) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIVEPATH VARCHAR(500) DEFAULT ' ' NOT NULL,
FUNKNOWNCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_AUDIT_OCR_L') 
 CREATE TABLE T_FGPTAS_AUDIT_OCR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTACHNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_FILETYPE') 
 CREATE TABLE T_FGPTAS_FILETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FGPTAS_FILETYPE_L') 
 CREATE TABLE T_FGPTAS_FILETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\dba\PDM_UPGRADE\pdm1\FGPTAS_table.sql **/
