-- 资产负债表
DELETE FROM t_fgptas_datatable WHERE FID = 1832771366479238144;
INSERT INTO t_fgptas_datatable(FID,FBITINDEX,FPCHECKMETA,FCUSTOMTABLE,FCREATEORGID,FSOURCEDATAID,FDESCRIPTION,FMASTERID,FORGID,FSTATUS,FCTRLSTRATEGY,FDATASOURCE,FNUMBER,FNAME,FUSEORG,FCREATETIME,FSOURCEBITINDEX,FENTITYID,FMODIFIERID,FENABLE,FRETRIEVALPLUGIN,FMODIFYTIME,FPRESET,FCREATORID,FDATATYPE) VALUES (1832771366479238144,6,'1','1',100000,1832771366479238144,'该报表记录了公司在某一特定时点的整体财务状况，包括资产、负债和所有者权益的详细信息。',1832771366479238144,100000,'C','5','1','fgptas_bs','资产负债表',100000,{ts'2023-12-04  00:00:00'},6,'3R3MFLT+OXLX',1539944561005198336,'1','kd.fi.fgptas.business.datatable.BalanceSheetDataPull',{ts'2023-12-14  00:00:00'},'1',13466739,'1'); 
-- 资产负债表多语言
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/6YHV4PUAX';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832771366479238144,'3S/6YHV4PUAX','zh_CN','该报表记录了公司在某一特定时点的整体财务状况，包括资产、负债和所有者权益的详细信息。','资产负债表'); 
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/6YHV4PUAY';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832771366479238144,'3S/6YHV4PUAY','zh_TW','該報表記錄了公司在某一特定時點的整體財務狀況，包括資產、負債和所有者權益的詳細信息。','資產負債表'); 
--资产负债表分录
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181185;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"orgFuncs":"10"}','1',1832771366521181185,' ','Org','1','org','1',2,'业务组织，如法人名称',' ','组织','核算组织'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181186;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"cf18e8ba000325ac"}','1',1832771366521181186,' ','Basedata','1','account','0',3,'报表项目，如货币资金、应收账款等；',' ','科目','科目维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181187;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"028593cd00002bac"}','0',1832771366521181187,' ','Basedata','1','scenario','0',4,'报表类型，如月报，季报等；',' ','情景','情景成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181188;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"cf18e8ba0002e2ac"}','1',1832771366521181188,' ','Basedata','1','year','0',5,'财务年度，如2022年，2023年等；',' ','财年','财年维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181189;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"bb429721000042ac"}','1',1832771366521181189,' ','Basedata','1','period','0',6,'财务期间，如1月，第一季度等；',' ','期间','期间成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181190;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"0369d3cc000022ac"}','1',1832771366521181190,' ','Basedata','1','currency','0',7,' ','CNY','币别','币别维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181191;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"bc09f58f000000ac"}','1',1832771366521181191,' ','Basedata','1','changetype','0',8,' ','EndingBalance','变动类型','变动类型成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181192;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"bba4d7b2000022ac"}','1',1832771366521181192,' ','Basedata','1','internalcompany','0',9,' ','ICNone','往来组织','往来组织成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181193;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,' ','0',1832771366521181193,' ','Amount','1','amount','0',10,' ',' ','金额',' '); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832771366521181184;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832771366479238144,'{"baseEntityId":"96782d9b000000ac"}','1',1832771366521181184,' ','Basedata','1','modelnum','0',1,' ',' ','体系','体系'); 
--资产负债表分录多语言
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQVW';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQVX';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW6';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW7';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQVY';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQVZ';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW+';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW/';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW0';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW1';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW2';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW3';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW4';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW5';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW8';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW9';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQW=';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQWA';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQWB';
DELETE FROM t_fgptas_datatablefield_l WHERE fpkid='3S/6YHV4NQWC';

INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQVW',1832771366521181184,'zh_CN','体系',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQVX',1832771366521181184,'zh_TW','體係',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW6',1832771366521181190,'zh_CN','币别',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW7',1832771366521181190,'zh_TW','幣別',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQVY',1832771366521181185,'zh_CN','组织','业务组织，如法人名称');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQVZ',1832771366521181185,'zh_TW','組織','業務組織，如法人名稱');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW+',1832771366521181186,'zh_CN','科目','报表项目，如货币资金、应收账款等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW/',1832771366521181186,'zh_TW','科目','報表項目，如貨幣資金、應收賬款等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW0',1832771366521181187,'zh_CN','情景','报表类型，如月报，季报等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW1',1832771366521181187,'zh_TW','情景','報表類型，如月報，季報等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW2',1832771366521181188,'zh_CN','财年','财务年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW3',1832771366521181188,'zh_TW','財年','財務年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW4',1832771366521181189,'zh_CN','期间','财务期间，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW5',1832771366521181189,'zh_TW','期間','財務期間，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW8',1832771366521181191,'zh_CN','变动类型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW9',1832771366521181191,'zh_TW','變動類型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQW=',1832771366521181192,'zh_CN','往来组织',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQWA',1832771366521181192,'zh_TW','往來組織',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQWB',1832771366521181193,'zh_CN','金额',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/6YHV4NQWC',1832771366521181193,'zh_TW','金額',' ');


-- 现金流量表
DELETE FROM t_fgptas_datatable WHERE FID = 1832755175584990208;
INSERT INTO t_fgptas_datatable(FID,FBITINDEX,FPCHECKMETA,FCUSTOMTABLE,FCREATEORGID,FSOURCEDATAID,FDESCRIPTION,FMASTERID,FORGID,FSTATUS,FCTRLSTRATEGY,FDATASOURCE,FNUMBER,FNAME,FUSEORG,FCREATETIME,FSOURCEBITINDEX,FENTITYID,FMODIFIERID,FENABLE,FRETRIEVALPLUGIN,FMODIFYTIME,FPRESET,FCREATORID,FDATATYPE) VALUES (1832755175584990208,5,'1','1',100000,1832755175584990208,'记录了公司在一定期间内现金和现金等价物的流入和流出，可以用来评估公司的流动性。',1832755175584990208,100000,'C','5','1','fgptas_cf','现金流量表',100000,{ts'2023-12-04  00:00:00'},5,'3R3JEPGXB+9O',1539944561005198336,'1','kd.fi.fgptas.business.datatable.CashFlowStatementDataPull',{ts'2023-12-14  00:00:00'},'1',13466739,'1'); 

-- 现金流量表多语言
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/84R9HF5V/';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832755175584990208,'3S/84R9HF5V/','zh_CN','记录了公司在一定期间内现金和现金等价物的流入和流出，可以用来评估公司的流动性。','现金流量表'); 
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/84R9HF5V0';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832755175584990208,'3S/84R9HF5V0','zh_TW','記錄了公司在一定期間內現金和現金等價物的流入和流出，可以用來評估公司的流動性。','現金流量表'); 

-- 现金流量表分录
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638337;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"orgFuncs":"10"}','1',1832755176138638337,' ','Org','1','org','1',2,'业务组织，如法人名称',' ','组织','核算组织'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638338;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"cf18e8ba000325ac"}','1',1832755176138638338,' ','Basedata','1','account','0',3,'报表项目，如经营活动现金流入小计等；',' ','科目','科目维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638339;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"028593cd00002bac"}','0',1832755176138638339,' ','Basedata','1','scenario','0',4,'报表类型，如月报，季报等；',' ','情景','情景成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638340;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"cf18e8ba0002e2ac"}','1',1832755176138638340,' ','Basedata','1','year','0',5,'财务年度，如2022年，2023年等；',' ','财年','财年维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638341;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"bb429721000042ac"}','1',1832755176138638341,' ','Basedata','1','period','0',6,'财务期间，如1月，第一季度等；',' ','期间','期间成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638342;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"0369d3cc000022ac"}','1',1832755176138638342,' ','Basedata','1','currency','0',7,' ','CNY','币别','币别维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638343;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"bc09f58f000000ac"}','1',1832755176138638343,' ','Basedata','1','changetype','0',8,' ','CurrentPeriod','变动类型','变动类型成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638344;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"bba4d7b2000022ac"}','1',1832755176138638344,' ','Basedata','1','internalcompany','0',9,' ','ICNone','往来组织','往来组织成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638345;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,' ','0',1832755176138638345,' ','Amount','1','amount','0',10,' ',' ','金额',' '); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832755176138638336;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832755175584990208,'{"baseEntityId":"96782d9b000000ac"}','1',1832755176138638336,' ','Basedata','1','modelnum','0',1,'报告分析体系',' ','体系','体系'); 

-- 现金流量表多语言
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A0';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A1';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A2';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A3';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A4';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A5';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A6';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A7';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A8';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A9';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9A=';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AA';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AB';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AC';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AD';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AE';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AF';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AG';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AH';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/84R9HH9AI';
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A0',1832755176138638336,'zh_CN','体系',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A1',1832755176138638336,'zh_TW','體係',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A2',1832755176138638337,'zh_CN','组织','业务组织，如法人名称');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A3',1832755176138638337,'zh_TW','組織','業務組織，如法人名稱');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A4',1832755176138638338,'zh_CN','科目','报表项目，如经营活动现金流入小计等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A5',1832755176138638338,'zh_TW','科目','報表項目，如經營活動現金流入小計等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A6',1832755176138638339,'zh_CN','情景','报表类型，如月报，季报等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A7',1832755176138638339,'zh_TW','情景','報表類型，如月報，季報等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A8',1832755176138638340,'zh_CN','财年','财务年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A9',1832755176138638340,'zh_TW','財年','財務年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9A=',1832755176138638341,'zh_CN','期间','财务期间，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AA',1832755176138638341,'zh_TW','期間','財務期間，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AB',1832755176138638342,'zh_CN','币别',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AC',1832755176138638342,'zh_TW','幣別',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AD',1832755176138638343,'zh_CN','变动类型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AE',1832755176138638343,'zh_TW','變動類型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AF',1832755176138638344,'zh_CN','往来组织',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AG',1832755176138638344,'zh_TW','往來組織',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AH',1832755176138638345,'zh_CN','金额',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/84R9HH9AI',1832755176138638345,'zh_TW','金額',' ');


--利润表
DELETE FROM t_fgptas_datatable WHERE FID = 1832726983646214144;
INSERT INTO t_fgptas_datatable(FID,FBITINDEX,FPCHECKMETA,FCUSTOMTABLE,FCREATEORGID,FSOURCEDATAID,FDESCRIPTION,FMASTERID,FORGID,FSTATUS,FCTRLSTRATEGY,FDATASOURCE,FNUMBER,FNAME,FUSEORG,FCREATETIME,FSOURCEBITINDEX,FENTITYID,FMODIFIERID,FENABLE,FRETRIEVALPLUGIN,FMODIFYTIME,FPRESET,FCREATORID,FDATATYPE) VALUES (1832726983646214144,4,'1','1',100000,1832726983646214144,'该报表反映了公司一定期间内的收入、费用和利润情况，可以帮助分析公司的盈利能力',1832726983646214144,100000,'C','5','1','fgptas_pl','利润表',100000,{ts'2023-12-04  00:00:00'},4,'3R3E58WOE2/B',1539944561005198336,'1','kd.fi.fgptas.business.datatable.IncomeStatementDataPull',{ts'2023-12-14  00:00:00'},'1',13466739,'1');
--利润表多语言
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/8IS62M9=E';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832726983646214144,'3S/8IS62M9=E','zh_CN','该报表反映了公司一定期间内的收入、费用和利润情况，可以帮助分析公司的盈利能力','利润表'); 
DELETE FROM t_fgptas_datatable_l WHERE FPKID = '3S/8IS62M9=F';
INSERT INTO t_fgptas_datatable_l(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1832726983646214144,'3S/8IS62M9=F','zh_TW','該報表反映了公司一定期間內的收入、費用和利潤情況，可以幫助分析公司的盈利能力','利潤表'); 
 
--利润表分录
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204033;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"orgFuncs":"10"}','1',1832726983948204033,' ','Org','1','org','1',2,'业务组织，如法人名称',' ','组织','核算组织'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204034;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"cf18e8ba000325ac"}','1',1832726983948204034,' ','Basedata','1','account','0',3,'报表项目，如销售费用，管理费用等；',' ','科目','科目维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204035;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"028593cd00002bac"}','0',1832726983948204035,' ','Basedata','1','scenario','0',4,'报表类型，如月报，季报等；',' ','情景','情景成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204036;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"cf18e8ba0002e2ac"}','1',1832726983948204036,' ','Basedata','1','year','0',5,'财务年度，如2022年，2023年等；',' ','财年','财年维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204037;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"bb429721000042ac"}','1',1832726983948204037,' ','Basedata','1','period','0',6,'财务期间，如1月，第一季度等；',' ','期间','期间成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204038;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"0369d3cc000022ac"}','1',1832726983948204038,' ','Basedata','1','currency','0',7,' ','CNY','币别','币别维度成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204039;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"bc09f58f000000ac"}','1',1832726983948204039,' ','Basedata','1','changetype','0',8,' ','CurrentPeriod','变动类型','变动类型成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204040;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"bba4d7b2000022ac"}','1',1832726983948204040,' ','Basedata','1','internalcompany','0',9,' ','ICNone','往来组织','往来组织成员树型'); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204041;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,' ','0',1832726983948204041,' ','Amount','1','amount','0',10,' ',' ','金额',' '); 
DELETE FROM t_fgptas_datatablefield WHERE FENTRYID = 1832726983948204032;
INSERT INTO t_fgptas_datatablefield(FID,FFIELDPROPERTYJSON_TAG,FFIELDQUERY,FENTRYID,FFIELDPROPERTYJSON,FFIELDTYPE,FFCHECKMETA,FFIELDNUMBER,FISPRESET,FSEQ,FFIELDDESC,FFIXEDVALUE,FFIELDNAME,FFIELDPROPERTY) VALUES (1832726983646214144,'{"baseEntityId":"96782d9b000000ac"}','1',1832726983948204032,' ','Basedata','1','modelnum','0',1,'报告分析体系',' ','体系','体系'); 


--利润表分录多语言
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRF';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRG';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRH';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRI';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRJ';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRK';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRL';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRM';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRN';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRO';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRP';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRQ';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRR';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRS';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRT';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRU';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRV';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRW';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRX';
DELETE FROM t_fgptas_datatablefield_l
WHERE fpkid='3S/8IS62OBRY';

INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRF',1832726983948204032,'zh_CN','体系',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRG',1832726983948204032,'zh_TW','體係',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRH',1832726983948204033,'zh_CN','组织','业务组织，如法人名称');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRI',1832726983948204033,'zh_TW','組織','業務組織，如法人名稱');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRJ',1832726983948204034,'zh_CN','科目','报表项目，如销售费用，管理费用等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRK',1832726983948204034,'zh_TW','科目','報表項目，如銷售費用，管理費用等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRL',1832726983948204035,'zh_CN','情景','报表类型，如月报，季报等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRM',1832726983948204035,'zh_TW','情景','報表類型，如月報，季報等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRN',1832726983948204036,'zh_CN','财年','财务年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRO',1832726983948204036,'zh_TW','財年','財務年度，如2022年，2023年等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRP',1832726983948204037,'zh_CN','期间','财务期间，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRQ',1832726983948204037,'zh_TW','期間','財務期間，如1月，第一季度等；');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRR',1832726983948204038,'zh_CN','币别',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRS',1832726983948204038,'zh_TW','幣別',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRT',1832726983948204039,'zh_CN','变动类型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRU',1832726983948204039,'zh_TW','變動類型',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRV',1832726983948204040,'zh_CN','往来组织',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRW',1832726983948204040,'zh_TW','往來組織',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRX',1832726983948204041,'zh_CN','金额',' ');
INSERT INTO t_fgptas_datatablefield_l (fpkid,fentryid,flocaleid,ffieldname,ffielddesc) VALUES
	 ('3S/8IS62OBRY',1832726983948204041,'zh_TW','金額',' ');




