-- 调度执行程序
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '43IUSRVXOV1D';
INSERT INTO T_SCH_TASKDEFINE(FID,FCREATETIME,FMODIFIERID,FRESCHEDULED,FMODIFYTIME,FCLASSNAME,FAPPID,FCREATORID,FNUMBER) VALUES ('43IUSRVXOV1D',{ts'2024-05-17 00:00:00'},1462286980518780928,'0',{ts'2024-05-17 00:00:00'},'kd.fi.fgptas.business.audit.schedule.RetryBillAuditTask','fgptas',13466739,'fgptas_billaudit_retry_task'); 

-- 调度执行程序·多语言表
DELETE FROM T_SCH_TASKDEFINE_L WHERE FPKID = '43IUSRW/A98X';
INSERT INTO T_SCH_TASKDEFINE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('43IUSRVXOV1D','43IUSRW/A98X','zh_CN','附件审核定期补偿'); 

-- 参数分录
DELETE FROM T_SCH_TASKDEFENTRY WHERE FENTRYID = '43IUSRW/95SX';
INSERT INTO T_SCH_TASKDEFENTRY(FID,FMUST,FPARAMTYPE,FPARAMDESC,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('43IUSRVXOV1D','0','1','每个附件审核最长等待秒数','43IUSRW/95SX',2,' ',' ','timeoutSeconds'); 
DELETE FROM T_SCH_TASKDEFENTRY WHERE FENTRYID = '43IUSRW/95SW';
INSERT INTO T_SCH_TASKDEFENTRY(FID,FMUST,FPARAMTYPE,FPARAMDESC,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('43IUSRVXOV1D','0','1','本轮调度最多补偿个数','43IUSRW/95SW',1,' ',' ','top'); 
DELETE FROM T_SCH_TASKDEFENTRY WHERE FENTRYID = '43T1VFADGL8+';
INSERT INTO T_SCH_TASKDEFENTRY(FID,FMUST,FPARAMTYPE,FPARAMDESC,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('43IUSRVXOV1D','0','1','超过此不再支持重试','43T1VFADGL8+',3,' ','7','maxPriority');

-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '43IUWWAP8Y69';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FTASKTRACE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FCREATETIME,FMODIFIERID,FTIMEOUT,FRETRYTIME,FMODIFYTIME,FRUNBYLANG,FCANSTOP,FCREATORID,FPARAMS,FRUNBYORGID) VALUES ('43IUWWAP8Y69','kd.fi.fgptas.business.audit.schedule.RetryBillAuditTask','43IUSRVXOV1D','0',13466739,'BIZ','0','1','fgptas_billaudit_retry_SKDJ_S','0','1',{ts'2024-05-17 00:00:00'},1462286980518780928,0,0,{ts'2024-05-17 00:00:00'},' ','0',13466739,'{"maxPriority":"12","top":"","timeoutSeconds":""}',0); 

-- 调度作业·多语言表
DELETE FROM T_SCH_JOB_L WHERE FPKID = '43IUWWAPA/N=';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('43IUWWAP8Y69','43IUWWAPA/N=','zh_CN','附件审核定期补偿'); 

-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '43IUXDFE/9HJ';
INSERT INTO T_SCH_SCHEDULE(FID,FSTATUS,FDESC,FNUMBER,FPLAN,FHOST,FCREATETIME,FCYCLENUM,FMODIFIERID,FJOBID,FSTARTTIME,FMODIFYTIME,FENDTIME,FCREATORID,FREPEATMODE) VALUES ('43IUXDFE/9HJ','1','事件将于2024-01-01 00:00:00起，
预计最近10次执行时间：
2024-05-17 16:05:00,
2024-05-17 16:10:00,
2024-05-17 16:15:00,
2024-05-17 16:20:00,
2024-05-17 16:25:00,
2024-05-17 16:30:00,
2024-05-17 16:35:00,
2024-05-17 16:40:00,
2024-05-17 16:45:00,
2024-05-17 16:50:00','fgptas_billaudit_retry_SKDP_S','0 0/5 * * * ?','172.19.67.72',{ts'2024-05-17 00:00:00'},5,13466739,'43IUWWAP8Y69',{ts'2024-05-17 00:00:00'},{ts'2024-05-17 00:00:00'},{ts'2099-12-31 23:59:59'},13466739,'def');

-- 调度计划·多语言表
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '43IUXDFDZ60J';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('43IUXDFE/9HJ','43IUXDFDZ60J','zh_CN','附件审核定期补偿');

-- 调度作业
DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FENTRYID = '43IUXDFE/9HK';
INSERT INTO T_SCH_SCHEDULE_ENTRY(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('43IUXDFE/9HJ','43IUWWAP8Y69','43IUXDFE/9HK',1);